import { EditorSettings } from '@dvn/alaca/components/dvn-rich-editor/constants';
import { BaseField } from '../../BaseField';
export interface RichContentValue {
  version: string;
  content: any[];
}
export declare class RichContentField extends BaseField {
  static type: string;
  placeholder?: string;
  settings?: EditorSettings;
  constructor(id: string, title: string, placeholder?: string, description?: string, settings?: EditorSettings);
  showPreview(): BaseField;
  getDisplayValue(value: any): any;
  setSettings(settings: EditorSettings): RichContentField;
}
